vfregularizer.hh File Reference
`#include <mia/core/factory.hh>`
`#include <mia/2d/vectorfield.hh>`
Include dependency graph for 2d/vfregularizer.hh:

Go to the source code of this file.

## Data Structures

class | C2DFVectorfieldRegularizer

## Typedefs

typedef TFactory< C2DFVectorfieldRegularizer > | C2DFVectorfieldRegularizerPlugin
typedef THandlerSingleton< TFactoryPluginHandler< C2DFVectorfieldRegularizerPlugin > > | C2DFVectorfieldRegularizerPluginHandler
typedef C2DFVectorfieldRegularizer::Pointer | P2DVectorfieldRegularizer

## Variables

template class EXPORT_2D | TFactory< C2DFVectorfieldRegularizer >
template class EXPORT_2D | TFactoryPluginHandler< C2DFVectorfieldRegularizerPlugin >
template class EXPORT_2D | THandlerSingleton< TFactoryPluginHandler< C2DFVectorfieldRegularizerPlugin > >
template<>
const char *const | TPluginHandler< C2DFVectorfieldRegularizerPlugin >::m_help

## Typedef Documentation

## C2DFVectorfieldRegularizerPlugin

typedef TFactory<C2DFVectorfieldRegularizer> C2DFVectorfieldRegularizerPlugin

Definition at line 86 of file 2d/vfregularizer.hh.

## C2DFVectorfieldRegularizerPluginHandler

typedef THandlerSingleton<TFactoryPluginHandler<C2DFVectorfieldRegularizerPlugin> > C2DFVectorfieldRegularizerPluginHandler

Definition at line 88 of file 2d/vfregularizer.hh.

## P2DVectorfieldRegularizer

typedef C2DFVectorfieldRegularizer::Pointer P2DVectorfieldRegularizer

Definition at line 84 of file 2d/vfregularizer.hh.

## Variable Documentation

## TFactory< C2DFVectorfieldRegularizer >

template class EXPORT_2D TFactory< C2DFVectorfieldRegularizer >

extern

## TFactoryPluginHandler< C2DFVectorfieldRegularizerPlugin >

template class EXPORT_2D TFactoryPluginHandler< C2DFVectorfieldRegularizerPlugin >

extern

## THandlerSingleton< TFactoryPluginHandler< C2DFVectorfieldRegularizerPlugin > >

template class EXPORT_2D THandlerSingleton< TFactoryPluginHandler< C2DFVectorfieldRegularizerPlugin > >

extern

## TPluginHandler< C2DFVectorfieldRegularizerPlugin >::m_help

template<>

const char* const TPluginHandler< C2DFVectorfieldRegularizerPlugin >::m_help

Definition at line 91 of file 2d/vfregularizer.hh.